aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlistair Bush <ali_bush@gentoo.org>2007-05-05 11:21:14 +0000
committerAlistair Bush <ali_bush@gentoo.org>2007-05-05 11:21:14 +0000
commitae7fe15f4b0375606c7aec3bd990abb977863b32 (patch)
treeda42ca35e0026826207518ec1a0e51095329180f /media-sound/tuxguitar
parentmedia-sound/jtagger: Fix indentation. (diff)
downloadjava-ae7fe15f4b0375606c7aec3bd990abb977863b32.tar.gz
java-ae7fe15f4b0375606c7aec3bd990abb977863b32.tar.bz2
java-ae7fe15f4b0375606c7aec3bd990abb977863b32.zip
media-sound/tuxguitar: Rev bump tuxguitar to relocated shared folders
svn path=/java-overlay/; revision=4519
Diffstat (limited to 'media-sound/tuxguitar')
-rw-r--r--media-sound/tuxguitar/ChangeLog8
-rw-r--r--media-sound/tuxguitar/Manifest4
-rw-r--r--media-sound/tuxguitar/tuxguitar-0.9.1-r1.ebuild63
3 files changed, 73 insertions, 2 deletions
diff --git a/media-sound/tuxguitar/ChangeLog b/media-sound/tuxguitar/ChangeLog
new file mode 100644
index 00000000..f800cc21
--- /dev/null
+++ b/media-sound/tuxguitar/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for media-sound/tuxguitar
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 05 May 2007; Alistair John Bush <ali_bush@gentoo.org>
+ +tuxguitar-0.9.1-r1.ebuild:
+ Rev bump tuxguitar to relocated shared folders
+
diff --git a/media-sound/tuxguitar/Manifest b/media-sound/tuxguitar/Manifest
index 04dee578..3bf8ecf5 100644
--- a/media-sound/tuxguitar/Manifest
+++ b/media-sound/tuxguitar/Manifest
@@ -1,4 +1,4 @@
-DIST TuxGuitar-0.8-src.tar.gz 669503 RMD160 02c584505701e7391178fea9dbc8108b3215794e SHA1 6c2b7b6ca9bcdfb5bcf4d9882638df82bbd5a2ee SHA256 046f0457ebdda33dac96988887918b878bd7ef298e7797473bdbd731f00e4d5c
DIST TuxGuitar-0.9.1-src.tar.gz 584005 RMD160 2698e7243ab06a0fd8be2094038dd14d583a50bb SHA1 689a2a47c375a6ee58a33d7f5e8a94e207f01870 SHA256 c4e3832e4e4befdfcd86860440b51522409bc90436e4027f4c0581217c53f62c
-EBUILD tuxguitar-0.8-r3.ebuild 1420 RMD160 adb71ea0fa8fa12fd578a54f788546357eff3d67 SHA1 8213f3f9385db12a337498240e15095624f74397 SHA256 bfe5828bd9eaa974ec956ecf0e90876a9717f4d4bc14328fa27566af75eed168
+EBUILD tuxguitar-0.9.1-r1.ebuild 1465 RMD160 07ec215ef9bc117ae789f5dfaab003fd6bb19248 SHA1 c72b3982450b094e2a9e67183ef38a041f9853a0 SHA256 0d9ee98036726353d2b5ad9b07a7d0e3840c078fdb5a0e030b4bc4ad38c5c44f
EBUILD tuxguitar-0.9.1.ebuild 1421 RMD160 fef1f17b1ccc50c3a71126287f0a3463f9951409 SHA1 464a2899d495f8a24d3313d7839bad2bc7fe4d20 SHA256 2b8d13c1171a0e5bb0f4106c84642f789d74303f5d5f51abea3377bd608168ad
+MISC ChangeLog 258 RMD160 81541cd7be9c6fcb08156fd6207302849413edeb SHA1 31d3cc8e20e29ba86ba4c8e3ec7bdd2101b1be30 SHA256 16d4003fc9f620038c9fe9b1859b8183328979c92eb2227f2dea757b13b42ede
diff --git a/media-sound/tuxguitar/tuxguitar-0.9.1-r1.ebuild b/media-sound/tuxguitar/tuxguitar-0.9.1-r1.ebuild
new file mode 100644
index 00000000..552d0b65
--- /dev/null
+++ b/media-sound/tuxguitar/tuxguitar-0.9.1-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+JAVA_PKG_IUSE="source"
+
+inherit eutils java-pkg-2 java-ant-2
+
+DESCRIPTION="TuxGuitar is a multitrack guitar tablature editor and player written in Java-SWT, it can open GP3 and GP4 files"
+HOMEPAGE="http://www.herac.com.ar/soluciones/tuxguitar.htm"
+SRC_URI="mirror://sourceforge/${PN}/TuxGuitar-${PV}-src.tar.gz"
+LICENSE="LGPL-2.1"
+SLOT="0"
+
+KEYWORDS="~x86 ~amd64"
+
+RDEPEND="virtual/libc
+ || ( ( x11-libs/libXxf86vm
+ x11-libs/libXext
+ x11-libs/libX11
+ ) virtual/x11 )
+ >=virtual/jre-1.5
+ dev-java/swt
+ dev-java/itext"
+DEPEND=">=virtual/jdk-1.5
+ dev-java/ant-core
+ ${RDEPEND}"
+
+IUSE=""
+
+S="${WORKDIR}/TuxGuitar-${PV}-src"
+
+src_unpack() {
+ unpack ${A}
+
+ sed -i -e "s/lib\.itext\.jar=lib\/itext-.*/lib\.itext\.jar=lib\/itext\.jar/" ${S}/build.properties
+
+ mkdir -p ${S}/lib
+ cd ${S}/lib
+ java-pkg_jar-from swt-3
+ java-pkg_jar-from itext iText.jar itext.jar
+}
+
+src_compile() {
+ eant
+}
+
+src_install() {
+ java-pkg_dojar TuxGuitar.jar
+
+ use source && java-pkg_dosrc src/org
+
+ java-pkg_dolauncher ${PN} \
+ --main org.herac.tuxguitar.gui.TuxGuitar \
+ --java_args "-Xms128m -Xmx128m -Dtuxguitar.shared.path=/usr/share/tuxguitar"
+
+ # Images and Files
+ cp -r share/* ${D}/usr/share/${PN}/
+
+ dodir /usr/share/pixmaps/
+ cp share/files/icon.png ${D}/usr/share/pixmaps/tuxguitar-icon.png
+ make_desktop_entry ${PN} TuxGuitar tuxguitar-icon.png
+}